## yaboot 0.9

=== Makefile ===
ROOT=
PREFIX=usr/local
MANDIR=man

all:

install:
	install -d -o root -g root -m 0755 ${ROOT}/etc/
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/sbin/
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/lib
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/lib/yaboot
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/${MANDIR}/man5/
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/${MANDIR}/man8/
	install -o root -g root -m 0644 yaboot ${ROOT}/${PREFIX}/lib/yaboot/yaboot
	install -o root -g root -m 0644 ofboot ${ROOT}/${PREFIX}/lib/yaboot/ofboot
	install -o root -g root -m 0755 ofpath ${ROOT}/${PREFIX}/sbin/ofpath
	install -o root -g root -m 0755 ybin ${ROOT}/${PREFIX}/sbin/ybin
	rm -f ${ROOT}/${PREFIX}/sbin/mkofboot
	ln -s ybin ${ROOT}/${PREFIX}/sbin/mkofboot
	@gzip -9 man/*
	install -o root -g root -m 0644 man/bootstrap.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/bootstrap.8.gz
	install -o root -g root -m 0644 man/mkofboot.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/mkofboot.8.gz
	install -o root -g root -m 0644 man/ofpath.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/ofpath.8.gz
	install -o root -g root -m 0644 man/yaboot.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/yaboot.8.gz
	install -o root -g root -m 0644 man/ybin.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/ybin.8.gz
	install -o root -g root -m 0644 man/yaboot.conf.5.gz ${ROOT}/${PREFIX}/${MANDIR}/man5/yaboot.conf.5.gz
	@gunzip man/*
	@if [ ! -e ${ROOT}/etc/yaboot.conf ] ; then install -o root -g root -m 0644 yaboot.conf ${ROOT}/etc/yaboot.conf ; fi 
	@if [ -f ${ROOT}/boot/yaboot ] ; then ln -sf ${ROOT}/${PREFIX}/lib/yaboot/yaboot ${ROOT}/boot/yaboot ; fi
	@if [ ! -L ${ROOT}/boot/ofboot.b -a -f ${ROOT}/boot/ofboot.b ] ; then mv ${ROOT}/boot/ofboot.b ${ROOT}/boot/ofboot.b.preserved ; ln -s ${ROOT}/${PREFIX}/lib/yaboot/ofboot ${ROOT}/boot/ofboot.b ; fi
	@echo
	@echo "Installation successful."
	@echo
	@if [ -L ${ROOT}/boot/yaboot ] ; then echo "Existing ${ROOT}/boot/ofboot.b and ${ROOT}/boot/yaboot has been replaced by symlinks to files in ${ROOT}/${PREFIX}/lib/yaboot/." ; fi
	@if [ -f /sbin/ybin -o -f /sbin/mkofboot ] ; then echo "Warning you appear to have a copy of ybin or mkofboot in /sbin, please remove it." ; fi
	@if [ ${PREFIX} = usr/local -a -f /usr/sbin/ybin ] ; then echo "Warning you appear to have a packaged version of ybin installed, please check your PATH variable or else remove the packaged version to avoid conflicts." ; fi

deinstall:
	rm -f ${ROOT}/${PREFIX}/sbin/ofpath
	rm -f ${ROOT}/${PREFIX}/sbin/ybin
	rm -f ${ROOT}/${PREFIX}/sbin/mkofboot
	rm -f ${ROOT}/${PREFIX}/lib/yaboot/yaboot
	rm -f ${ROOT}/${PREFIX}/lib/yaboot/ofboot
	@rmdir ${ROOT}/${PREFIX}/lib/yaboot || true
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/bootstrap.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/mkofboot.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/ofpath.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/yaboot.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/ybin.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man5/yaboot.conf.5.gz
	@if [ -L ${ROOT}/boot/yaboot -a ! -e ${ROOT}/boot/yaboot ] ; then rm -f ${ROOT}/boot/yaboot ; fi
	@if [ -L ${ROOT}/boot/ofboot.b -a ! -e ${ROOT}/boot/ofboot.b ] ; then rm -f ${ROOT}/boot/ofboot.b ; fi
	@echo
	@echo "Deinstall successful."
	@echo "${ROOT}/etc/yaboot.conf has not been removed, you may remove it yourself if you wish."

uninstall: deinstall

## yaboot 1.3.6

=== Makefile ===
## Setup

include Config

VERSION = 1.3.6
# Debug mode (spam/verbose)
DEBUG = 0
# make install vars
ROOT =
PREFIX = usr/local
MANDIR = man
# command used to get root (needed for tarball creation)
GETROOT = fakeroot

# We use fixed addresses to avoid overlap when relocating
# and other trouble with initrd

# Load the bootstrap at 2Mb
TEXTADDR	= 0x200000
# Malloc block at 3Mb -> 4Mb
MALLOCADDR	= 0x300000
MALLOCSIZE	= 0x100000
# Load kernel at 20Mb and ramdisk just after
KERNELADDR	= 0x01400000

# Set this to the prefix of your cross-compiler, if you have one.
# Else leave it empty.
#
CROSS = 

# The flags for the yaboot binary.
#
YBCFLAGS = -Os $(CFLAGS) -nostdinc -Wall -isystem `gcc -print-file-name=include` -fsigned-char
YBCFLAGS += -DVERSION=\"${VERSION}\"	#"
YBCFLAGS += -DTEXTADDR=$(TEXTADDR) -DDEBUG=$(DEBUG)
YBCFLAGS += -DMALLOCADDR=$(MALLOCADDR) -DMALLOCSIZE=$(MALLOCSIZE)
YBCFLAGS += -DKERNELADDR=$(KERNELADDR)
YBCFLAGS += -I ./include

ifeq ($(CONFIG_COLOR_TEXT),y)
YBCFLAGS += -DCONFIG_COLOR_TEXT
endif

ifeq ($(CONFIG_SET_COLORMAP),y)
YBCFLAGS += -DCONFIG_SET_COLORMAP
endif

ifeq ($(USE_MD5_PASSWORDS),y)
YBCFLAGS += -DUSE_MD5_PASSWORDS
endif

ifeq ($(CONFIG_FS_XFS),y)
YBCFLAGS += -DCONFIG_FS_XFS
endif

ifeq ($(CONFIG_FS_REISERFS),y)
YBCFLAGS += -DCONFIG_FS_REISERFS
endif

# Link flags
#
LFLAGS = -Ttext $(TEXTADDR) -Bstatic 

# Libraries
#
LLIBS = lib/libext2fs.a

# For compiling userland utils
#
UCFLAGS = -Os $(CFLAGS) -Wall -I/usr/include

# For compiling build-tools that run on the host.
#
HOSTCC = gcc
HOSTCFLAGS = -O2 $(CFLAGS) -Wall -I/usr/include

## End of configuration section

OBJS = second/crt0.o second/yaboot.o second/cache.o second/prom.o second/file.o \
	second/partition.o second/fs.o second/cfg.o second/setjmp.o second/cmdline.o \
	second/fs_of.o second/fs_ext2.o second/fs_iso.o second/iso_util.o \
	lib/nosys.o lib/string.o lib/strtol.o lib/vsprintf.o lib/ctype.o lib/malloc.o lib/strstr.o

ifeq ($(USE_MD5_PASSWORDS),y)
OBJS += second/md5.o
endif

ifeq ($(CONFIG_FS_XFS),y)
OBJS += second/fs_xfs.o
endif

ifeq ($(CONFIG_FS_REISERFS),y)
OBJS += second/fs_reiserfs.o
endif

# compilation
CC		:= $(CROSS)gcc
LD		:= $(CROSS)ld
AS		:= $(CROSS)as
OBJCOPY		:= $(CROSS)objcopy

lgcc = `$(CC) -print-libgcc-file-name`

all: yaboot addnote mkofboot

yaboot: $(OBJS)
	$(LD) $(LFLAGS) $(OBJS) $(LLIBS) $(lgcc) -o second/$@
	chmod -x second/yaboot

addnote:
	$(CC) $(UCFLAGS) -o util/addnote util/addnote.c

elfextract:
	$(HOSTCC) $(HOSTCFLAGS) -o util/elfextract util/elfextract.c

mkofboot:
	ln -sf ybin ybin/mkofboot
	@if [ $$(grep '^VERSION=' ybin/ybin | cut -f2 -d=) != ${VERSION} ] ; then	\
		echo "ybin/ybin: warning: VERSION  mismatch"; 				\
		false; 									\
	fi

%.o: %.c
	$(CC) $(YBCFLAGS) -c -o $@ $<

%.o: %.S
	$(CC) $(YBCFLAGS) -D__ASSEMBLY__  -c -o $@ $<

dep:
	makedepend -Iinclude *.c lib/*.c util/*.c gui/*.c

docs:
	make -C doc all

bindist: all
	mkdir ../yaboot-binary-${VERSION}
	$(GETROOT) make ROOT=../yaboot-binary-${VERSION} install
	mkdir -p -m 755 ../yaboot-binary-${VERSION}/usr/local/share/doc/yaboot
	cp -a COPYING ../yaboot-binary-${VERSION}/usr/local/share/doc/yaboot/COPYING
	cp -a README ../yaboot-binary-${VERSION}/usr/local/share/doc/yaboot/README
	cp -a doc/README.rs6000 ../yaboot-binary-${VERSION}/usr/local/share/doc/yaboot/README.rs6000
	cp -a doc/yaboot-howto.html ../yaboot-binary-${VERSION}/usr/local/share/doc/yaboot/yaboot-howto.html
	cp -a doc/yaboot-howto.sgml ../yaboot-binary-${VERSION}/usr/local/share/doc/yaboot/yaboot-howto.sgml
	mv ../yaboot-binary-${VERSION}/etc/yaboot.conf ../yaboot-binary-${VERSION}/usr/local/share/doc/yaboot/
	rmdir ../yaboot-binary-${VERSION}/etc
	$(GETROOT) tar -C ../yaboot-binary-${VERSION} -zcvpf ../yaboot-binary-${VERSION}.tar.gz .
	rm -rf ../yaboot-binary-${VERSION}

clean:
	rm -f second/yaboot util/addnote util/elfextract $(OBJS)
	find . -name '#*' | xargs rm -f
	find . -name '.#*' | xargs rm -f
	find . -name '*~' | xargs rm -f
	find . -name '*.swp' | xargs rm -f
	-gunzip man/*.gz
	rm -rf man.deb
	chmod 755 ybin/ybin ybin/ofpath ybin/yabootconfig
	chmod -R u+rwX,go=rX .
	chmod a-w COPYING

cleandocs:
	make -C doc clean

maintclean: clean cleandocs

release: docs bindist clean

strip: all
	strip second/yaboot
	strip --remove-section=.comment second/yaboot
	strip util/addnote
	strip --remove-section=.comment --remove-section=.note util/addnote

install: all strip
	install -d -o root -g root -m 0755 ${ROOT}/etc/
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/sbin/
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/lib
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/lib/yaboot
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/${MANDIR}/man5/
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/${MANDIR}/man8/
	install -o root -g root -m 0644 second/yaboot ${ROOT}/$(PREFIX)/lib/yaboot
	install -o root -g root -m 0755 util/addnote ${ROOT}/${PREFIX}/lib/yaboot/addnote
	install -o root -g root -m 0644 first/ofboot ${ROOT}/${PREFIX}/lib/yaboot/ofboot
	install -o root -g root -m 0755 ybin/ofpath ${ROOT}/${PREFIX}/sbin/ofpath
	install -o root -g root -m 0755 ybin/ybin ${ROOT}/${PREFIX}/sbin/ybin
	install -o root -g root -m 0755 ybin/yabootconfig ${ROOT}/${PREFIX}/sbin/yabootconfig
	rm -f ${ROOT}/${PREFIX}/sbin/mkofboot
	ln -s ybin ${ROOT}/${PREFIX}/sbin/mkofboot
	@gzip -9 man/*.[58]
	install -o root -g root -m 0644 man/bootstrap.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/bootstrap.8.gz
	install -o root -g root -m 0644 man/mkofboot.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/mkofboot.8.gz
	install -o root -g root -m 0644 man/ofpath.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/ofpath.8.gz
	install -o root -g root -m 0644 man/yaboot.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/yaboot.8.gz
	install -o root -g root -m 0644 man/yabootconfig.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/yabootconfig.8.gz
	install -o root -g root -m 0644 man/ybin.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/ybin.8.gz
	install -o root -g root -m 0644 man/yaboot.conf.5.gz ${ROOT}/${PREFIX}/${MANDIR}/man5/yaboot.conf.5.gz
	@gunzip man/*.gz
	@if [ ! -e ${ROOT}/etc/yaboot.conf ] ; then						\
		echo "install -o root -g root -m 0644 etc/yaboot.conf ${ROOT}/etc/yaboot.conf"; \
		install -o root -g root -m 0644 etc/yaboot.conf ${ROOT}/etc/yaboot.conf;	\
	 else											\
		echo "/etc/yaboot.conf already exists, leaving it alone";			\
	 fi
	@echo
	@echo "Installation successful."
	@echo
	@echo "An example /etc/yaboot.conf has been installed (unless /etc/yaboot.conf already existed"
	@echo "You may either alter that file to match your system, or alternatively run yabootconfig"
	@echo "yabootconfig will generate a simple and valid /etc/yaboot.conf for your system"
	@echo

deinstall:
	rm -f ${ROOT}/${PREFIX}/sbin/ofpath
	rm -f ${ROOT}/${PREFIX}/sbin/ybin
	rm -f ${ROOT}/${PREFIX}/sbin/yabootconfig
	rm -f ${ROOT}/${PREFIX}/sbin/mkofboot
	rm -f ${ROOT}/${PREFIX}/lib/yaboot/yaboot
	rm -f ${ROOT}/${PREFIX}/lib/yaboot/ofboot
	rm -f ${ROOT}/${PREFIX}/lib/yaboot/addnote
	@rmdir ${ROOT}/${PREFIX}/lib/yaboot || true
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/bootstrap.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/mkofboot.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/ofpath.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/yaboot.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/yabootconfig.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/ybin.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man5/yaboot.conf.5.gz
	@if [ -L ${ROOT}/boot/yaboot -a ! -e ${ROOT}/boot/yaboot ] ; then rm -f ${ROOT}/boot/yaboot ; fi
	@if [ -L ${ROOT}/boot/ofboot.b -a ! -e ${ROOT}/boot/ofboot.b ] ; then rm -f ${ROOT}/boot/ofboot.b ; fi
	@echo
	@echo "Deinstall successful."
	@echo "${ROOT}/etc/yaboot.conf has not been removed, you may remove it yourself if you wish."

uninstall: deinstall

=== doc/Makefile ===
# programs for documentation
DDOC		:= /usr/share/sgml/debiandoc/dtd/sgml/1.0/debiandoc.dcl
DEBIANDOC2HTML	:= debiandoc2html -d $(DDOC) -l C -c 
# detailed sgml validation
NSGMLS		:= nsgmls -ges -wall $(DDOC)

all: clean
	$(NSGMLS) yaboot-howto.sgml
	$(DEBIANDOC2HTML) yaboot-howto.sgml
	ln -s index.en.html yaboot-howto.html/index.html

clean:
	-rm -rf yaboot-howto.html

## yaboot 1.3.13a

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include Config
 
-VERSION = 1.3.6
+VERSION = 1.3.13
 # Debug mode (spam/verbose)
 DEBUG = 0
 # make install vars
@@ -111,7 +111,7 @@
 	$(CC) $(UCFLAGS) -o util/addnote util/addnote.c
 
 elfextract:
-	$(HOSTCC) $(HOSTCFLAGS) -o util/elfextract util/elfextract.c
+	$(CC) $(UCFLAGS) -o util/elfextract util/elfextract.c
 
 mkofboot:
 	ln -sf ybin ybin/mkofboot
@@ -148,18 +148,24 @@
 
 clean:
 	rm -f second/yaboot util/addnote util/elfextract $(OBJS)
-	find . -name '#*' | xargs rm -f
-	find . -name '.#*' | xargs rm -f
-	find . -name '*~' | xargs rm -f
-	find . -name '*.swp' | xargs rm -f
+	find . -not -path './\{arch\}*' -name '#*' | xargs rm -f
+	find . -not -path './\{arch\}*' -name '.#*' | xargs rm -f
+	find . -not -path './\{arch\}*' -name '*~' | xargs rm -f
+	find . -not -path './\{arch\}*' -name '*.swp' | xargs rm -f
+	find . -not -path './\{arch\}*' -name ',,*' | xargs rm -rf
 	-gunzip man/*.gz
 	rm -rf man.deb
-	chmod 755 ybin/ybin ybin/ofpath ybin/yabootconfig
-	chmod -R u+rwX,go=rX .
-	chmod a-w COPYING
 
 cleandocs:
 	make -C doc clean
+
+## removes arch revision control crap, only to be called for making
+## release tarballs.  arch should have a export command like cvs...
+
+archclean:
+	rm -rf '{arch}'
+	find . -type d -name .arch-ids | xargs rm -rf
+	rm -f 0arch-timestamps0
 
 maintclean: clean cleandocs
 
@@ -204,7 +210,7 @@
 	@echo
 	@echo "Installation successful."
 	@echo
-	@echo "An example /etc/yaboot.conf has been installed (unless /etc/yaboot.conf already existed"
+	@echo "An example /etc/yaboot.conf has been installed (unless /etc/yaboot.conf already existed)"
 	@echo "You may either alter that file to match your system, or alternatively run yabootconfig"
 	@echo "yabootconfig will generate a simple and valid /etc/yaboot.conf for your system"
 	@echo

## yaboot 1.3.16

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include Config
 
-VERSION = 1.3.13
+VERSION = 1.3.16
 # Debug mode (spam/verbose)
 DEBUG = 0
 # make install vars
@@ -20,18 +20,23 @@
 # Malloc block at 3Mb -> 4Mb
 MALLOCADDR	= 0x300000
 MALLOCSIZE	= 0x100000
-# Load kernel at 20Mb and ramdisk just after
-KERNELADDR	= 0x01400000
+# Load kernel and ramdisk at real-base.  If there is overlap, will retry until find open space
+KERNELADDR	= 0x00C00000
 
 # Set this to the prefix of your cross-compiler, if you have one.
 # Else leave it empty.
 #
-CROSS = 
+CROSS =
+
+CC		:= $(CROSS)gcc
+LD		:= $(CROSS)ld
+AS		:= $(CROSS)as
+OBJCOPY		:= $(CROSS)objcopy
 
 # The flags for the yaboot binary.
 #
-YBCFLAGS = -Os $(CFLAGS) -nostdinc -Wall -isystem `gcc -print-file-name=include` -fsigned-char
-YBCFLAGS += -DVERSION=\"${VERSION}\"	#"
+YBCFLAGS = -Os $(CFLAGS) -nostdinc -Wall -isystem `$(CC) -m32 -print-file-name=include` -fsigned-char
+YBCFLAGS += -DVERSION=\"${VERSION}${VERSIONEXTRA}\"	#"
 YBCFLAGS += -DTEXTADDR=$(TEXTADDR) -DDEBUG=$(DEBUG)
 YBCFLAGS += -DMALLOCADDR=$(MALLOCADDR) -DMALLOCSIZE=$(MALLOCSIZE)
 YBCFLAGS += -DKERNELADDR=$(KERNELADDR)
@@ -59,11 +64,11 @@
 
 # Link flags
 #
-LFLAGS = -Ttext $(TEXTADDR) -Bstatic 
+LFLAGS = -Ttext $(TEXTADDR) -Bstatic -melf32ppclinux
 
 # Libraries
 #
-LLIBS = lib/libext2fs.a
+LLIBS = -lext2fs
 
 # For compiling userland utils
 #
@@ -94,12 +99,7 @@
 endif
 
 # compilation
-CC		:= $(CROSS)gcc
-LD		:= $(CROSS)ld
-AS		:= $(CROSS)as
-OBJCOPY		:= $(CROSS)objcopy
-
-lgcc = `$(CC) -print-libgcc-file-name`
+lgcc = `$(CC) -m32 -print-libgcc-file-name`
 
 all: yaboot addnote mkofboot

=== debian/changelog ===
yaboot (1.3.16-4ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu branding
    - Add ppc64 to architecture list
    - Add Cell support
  * cell-support.patch: Refreshed

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 13 Sep 2011 19:49:35 +1000

yaboot (1.3.16-4) unstable; urgency=low

  * ydl-powerstation.patch: Support YDL PowerStation. (Closes: #603894)

 -- Milan Kupcevic <milan@physics.harvard.edu>  Sun, 28 Aug 2011 00:47:49 -0400

yaboot (1.3.16-3ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu branding
    - Add ppc64 to architecture list
    - Add Cell support

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 19 Aug 2011 12:58:37 +1000

yaboot (1.3.16-3) unstable; urgency=low

  * Use debhelper 7.
  * Add debian/watch.
  * Kill lintian warnings:
    - replace "dh_clean -k" with dh_prep.
    - Add build-arch and build-indep to debian/rules
  * Bump Standards-Version to 3.9.2.
  * Source package format 3 (quilt).
  * Remove Sven Luther from Uploaders, thanks for your work.
  * e2fs-posix-memalign.patch: Provide posix_memalign required by e2fslibs 
    since version 1.41.13.
  * e2fs-missing-libc.patch: Missing libc functions required by e2fslibs.
  * no-proc-scsi.patch: Update. Add support for pata-macio (#608384).
  * no-unix-block-names.patch: Update. Allow openfirmware aliases (#615602).

 -- Milan Kupcevic <milan@physics.harvard.edu>  Sat, 06 Aug 2011 13:17:49 -0400

yaboot (1.3.16-2ubuntu2) natty; urgency=low

  * debian/patches/e2fs-progs-build-fix.patch: Patch taken from the
    yaboot-devel mailing list to properly build against recent versions
    of e2fsprogs (LP: #745358)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 31 Mar 2011 09:06:14 +1100

yaboot (1.3.16-2ubuntu1) natty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu branding
    - Add ppc64 to architecture list
    - Add Cell support
  * Move Ubuntu branding and cell support to quilt patches

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 23 Feb 2011 19:27:47 +1100

yaboot (1.3.16-2) unstable; urgency=low

  * New upstream release closes: #473725.
  * Add some Ubuntu changes as Debian quilt patches.
    + Build with -fno-stack-protector.
    + Distro branding in first-stage bootstrap.
  * Add Milan Kupcevic's patches from 1.3.13a-1squeeze1.
    + Support sysfs in ofpath
      (Closes: #572869, #377097, #342833, #289201).
    + Support persistent device naming symlinks, UUID, and LABEL tags
      (Closes: #580455).
    + Update debian/copyright with copyright notice from ofpath.
  * Refresh all Debian quilt patches.

 -- Aurélien GÉRÔME <ag@debian.org>  Sun, 12 Dec 2010 00:00:00 +0100

yaboot (1.3.16-1) unstable; urgency=high

  * Long due update with new upstream release
    merging the following Debian patches.
    + RAID partitions support (#233810).
    + Amiga partitions support (#267812).
    + G5 second SATA harddisk support (#294081): actually better patch.
    + Firewire harddisk support (#288008).
    + FTBS in strstr.c (#322539): actually better patch.
    + Pegasos support (#299686).
    + Build system fix (#377839).
    + Check removal for broken-by-BootX device-tree (#321962).
    + Manpage fixes.
  * Upstream release closes the following bugs.
    + Yaboot does not allow TFTP transfers above 6MiB (Closes: #461310).
  * Add quilt support with the following Debian broken-out patches
    (the only ones remaining from the monolithic Debian diff).
    + XFS support (#375680).
    + New FSF address in COPYING file.
  * Bump Standards-Version to 3.9.1 in debian/control.
  * Add ${misc:Depends} to the Depends field of yaboot in
    debian/control.
  * Set debian/compat to 5 and accordingly for debhelper in the
    Build-Depends field in debian/control.
  * Create debian/README.source.

 -- Aurélien GÉRÔME <ag@debian.org>  Wed, 01 Dec 2010 18:00:00 +0100

yaboot (1.3.13a-1ubuntu6) natty; urgency=low

  * Add ppc64 to architecture list.

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 16 Feb 2011 05:46:19 -0700

yaboot (1.3.13a-1ubuntu5) intrepid; urgency=low

  * Patch from Peter Cros to fix various booting issues on some G5 machines
    with SATA. (LP: #122607)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 14 Oct 2008 09:05:41 +1100

yaboot (1.3.13a-1ubuntu4) gutsy; urgency=low

  * ybin/ybin, ybin/ofpath: Add Cell support.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Sep 2007 15:21:02 +0100

yaboot (1.3.13a-1ubuntu3) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Mar 2007 12:58:41 +0000

yaboot (1.3.13a-1ubuntu2) edgy; urgency=low

  * Build with -fno-stack-protector.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jul 2006 10:12:13 +0100

yaboot (1.3.13a-1ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Jul 2006 17:27:36 +0100

yaboot (1.3.13a-1squeeze1) testing-proposed-updates; urgency=low

  * Team upload.
  * Get scsi, sata, and firewire drive info from sysfs as legacy /proc/scsi
    interface does not exist anymore.
    (Closes: #572869, #377097, #342833, #289201)
  * Use persistent device naming symlinks, UUID and LABEL tags instead of
    unix block device names. (Closes: #580455)
  * debian/copyright: Add copyright notice from ofpath.

 -- Milan Kupcevic <milan@physics.harvard.edu>  Sun, 05 Dec 2010 10:34:50 -0500

yaboot (1.3.13a-1) unstable; urgency=high

  * Convert debian/control from ISO_8859-15 to UTF-8.
  * Change the orig.tar.gz to use
  <ftp://debootloaders.alioth.debian.org/pub/debootloaders/yaboot/yaboot_1.3.13a.orig.tar.gz>
  which is a cleaned up version of
  <http://penguinppc.org/bootloaders/yaboot/yaboot-1.3.13.tar.gz>
  instead of
  <http://penguinppc.org/bootloaders/yaboot/yaboot-1.3.13-debian.tar.gz>
  which included external source and binary.
  This is the final touch for #377839.


=== debian/control ===
Source: yaboot
Section: admin
Priority: important
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debootloaders Yaboot Maintainers Team <debootloaders-yaboot@lists.alioth.debian.org>
Uploaders: Aurélien GÉRÔME <ag@debian.org>, Milan Kupcevic <milan@physics.harvard.edu>
Build-Depends: debhelper (>= 5), e2fslibs-dev (>= 1.27), quilt
Standards-Version: 3.9.1

Package: yaboot
Architecture: powerpc ppc64
Recommends: hfsutils, powerpc-utils (>= 1.1.3-2)
Replaces: quik
Conflicts: quik (<< 2.0e-0.6)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yet Another Bootloader
 This package contains 'yaboot', the bootloader of choice on the
 NewWorld line of Power Macintosh computers and on IBM CHRP computers.
 It supports loading a kernel from several different filesystems,
 including ext2, ext3, xfs, and reiserfs, as well as separate
 ramdisks and dual-booting.
 .
 This package includes the installer tools ybin and mkofboot, and a
 yabootconfig program for generating a simple /etc/yaboot.conf file.

=== debian/rules ===
#!/usr/bin/make -f

STAMP_DIR := debian/stamps

$(STAMP_DIR)/stamp:
	[ -d $(STAMP_DIR) ] || mkdir $(STAMP_DIR)
	touch $(STAMP_DIR)/stamp

build-arch: build
build-indep: build
build: $(STAMP_DIR)/build $(STAMP_DIR)/man

$(STAMP_DIR)/build: $(STAMP_DIR)/stamp
	dh_testdir
	$(MAKE) all
	touch $(STAMP_DIR)/build

$(STAMP_DIR)/man: $(STAMP_DIR)/stamp
	dh_testdir
	cd man && patch < ../man.patch
	touch $(STAMP_DIR)/man

man-clean:
	dh_testdir
	if [ -f $(STAMP_DIR)/man ]; then	\
	  cd man && patch -R < ../man.patch;	\
	  rm -f $(STAMP_DIR)/man;		\
	fi

clean: man-clean
	$(MAKE) clean
	rm -rf $(STAMP_DIR)
	rm -rf .pc
	dh_clean

binary-indep:

binary-arch: build
	dh_testdir
	dh_testroot

	dh_prep

	dh_installdirs usr/sbin usr/lib/yaboot usr/share/lintian/overrides/
	install -m 644 debian/overrides-yaboot debian/yaboot/usr/share/lintian/overrides/yaboot

	install -m 644 second/yaboot	debian/yaboot/usr/lib/yaboot/yaboot
	install -m 755 util/addnote \
			debian/yaboot/usr/lib/yaboot/addnote
	install -m 755 ybin/ybin	debian/yaboot/usr/sbin/ybin
	install -m 755 ybin/yabootconfig debian/yaboot/usr/sbin/yabootconfig
	ln -s		ybin		debian/yaboot/usr/sbin/mkofboot
	install -m 755 ybin/ofpath	debian/yaboot/usr/sbin/ofpath
	install -m 644 first/ofboot	debian/yaboot/usr/lib/yaboot/ofboot

	dh_installexamples doc/examples/*
	dh_installman man/*
	dh_installdocs ChangeLog README doc/README* BUGS THANKS TODO \
		doc/yaboot-howto*
	dh_installchangelogs changelog

	dh_strip

	# dh_strip won't do this one since it's not executable
	strip --remove-section=.comment debian/yaboot/usr/lib/yaboot/yaboot

	dh_fixperms
	dh_compress

	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_installdeb
	dh_builddeb

binary: binary-indep binary-arch

=== debian/watch ===
version=3
http://yaboot.ozlabs.org/releases/yaboot-(.+)\.tar\.gz

## yaboot 1.3.17

=== debian/changelog ===
yaboot (1.3.17-4) unstable; urgency=medium

  * Cross build using 32-bit e2fslibs1.41-dev on ppc64 as foreign arch is 
    not enabled on porter buildd. (Closes: #322540).

 -- Milan Kupcevic <milan@debian.org>  Tue, 07 Jun 2016 02:27:26 -0400

yaboot (1.3.17-3) unstable; urgency=medium

  * Cross build against e2fslibs1.41-dev:powerpc
  * Bump Standards-Version to 3.9.8.

 -- Milan Kupcevic <milan@debian.org>  Mon, 06 Jun 2016 00:00:56 -0400

yaboot (1.3.17-2) unstable; urgency=medium

  * Also probe for other filesystems. (Closes: #819549)

 -- Milan Kupcevic <milan@debian.org>  Sun, 03 Apr 2016 14:07:27 -0400

yaboot (1.3.17-1) unstable; urgency=medium

  * New upstream release (Closes: #774845).
    + Support ppc64 architecture (Closes: #322540).
    + Load kernel and ramdisk at a lowest possible address (Closes: #719479).
    + Support iscsi and pSeries (Closes: #641852).
    + Increase tftp buffer size.
  * Correct ofpath discovery on newer kernels (Closes: #784387).
  * Build-depend on e2fslibs1.41 (Closes: #792084).
  * Support Cell platform.
  * Use debhelper 9.
  * Bump Standards-Version to 3.9.6.
  * Correct a typo in yaboot.

 -- Milan Kupcevic <milan@debian.org>  Sat, 30 Jan 2016 19:36:14 -0500

=== debian/control ===
Source: yaboot
Section: admin
Priority: important
Maintainer: Debootloaders Yaboot Maintainers Team <debootloaders-yaboot@lists.alioth.debian.org>
Uploaders: Aurélien GÉRÔME <ag@debian.org>, Milan Kupcevic <milan@debian.org>
Build-Depends: debhelper (>= 9), e2fslibs1.41-dev (>= 1.41.14-2), gcc-multilib [ppc64]
Standards-Version: 3.9.8
Homepage: http://yaboot.ozlabs.org

Package: yaboot
Architecture: powerpc ppc64
Recommends: hfsutils, powerpc-utils (>= 1.1.3-2)
Replaces: quik
Breaks: quik (<< 2.0e-0.6)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yet Another Bootloader
 This package contains 'yaboot', the bootloader of choice on the
 NewWorld line of Power Macintosh computers and on IBM CHRP computers.
 It supports loading a kernel from several different filesystems,
 including ext2, ext3, xfs, and reiserfs, as well as separate
 ramdisks and dual-booting.
 .
 This package includes the installer tools ybin and mkofboot, and a
 yabootconfig program for generating a simple /etc/yaboot.conf file.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND=-fgnu89-inline
 
 STAMP_DIR := debian/stamps
 
@@ -30,7 +32,6 @@
 clean: man-clean
 	$(MAKE) clean
 	rm -rf $(STAMP_DIR)
-	rm -rf .pc
 	dh_clean
 
 binary-indep:
